Package org.drinkless.tdlib

# Class TdApi.NotificationGroup

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.NotificationGroup

Enclosing class:
  `TdApi`

public static class TdApi.NotificationGroup extends TdApi.Object
Describes a group of notifications.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of a chat to which all notifications in the group belong.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `id`
  Unique persistent auto-incremented from 1 identifier of the notification group.
  `TdApi.Notification[]`
  `notifications`
  The list of active notifications.
  `int`
  `totalCount`
  Total number of active notifications in the group.
  `TdApi.NotificationGroupType`
  `type`
  Type of the group.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotificationGroup()`
  Describes a group of notifications.
  `NotificationGroup(int id, TdApi.NotificationGroupType type, long chatId, int totalCount, TdApi.Notification[] notifications)`
  Describes a group of notifications.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Unique persistent auto-incremented from 1 identifier of the notification group.

  - ### type

    public TdApi.NotificationGroupType type
    Type of the group.

  - ### chatId

    public long chatId
    Identifier of a chat to which all notifications in the group belong.

  - ### totalCount

    public int totalCount
    Total number of active notifications in the group.

  - ### notifications

    public TdApi.Notification[] notifications
    The list of active notifications.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### NotificationGroup

    public NotificationGroup()
    Describes a group of notifications.

  - ### NotificationGroup

    public NotificationGroup(int id, TdApi.NotificationGroupType type, long chatId, int totalCount, TdApi.Notification[] notifications)
    Describes a group of notifications.
    Parameters:
      `id` - Unique persistent auto-incremented from 1 identifier of the notification group.
      `type` - Type of the group.
      `chatId` - Identifier of a chat to which all notifications in the group belong.
      `totalCount` - Total number of active notifications in the group.
      `notifications` - The list of active notifications.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR